<?php


namespace OTP\Helper\Gateway;

if (defined("\x41\102\123\x50\x41\124\110")) {
    goto r6;
}
die;
r6:
use OTP\Objects\IGatewayType;
use OTP\Traits\Instance;
use OTP\Helper\GatewayType;
use OTP\Helper\Gateway\MoGatewayURL;
class MoMSG91Request implements IGatewayType
{
    use Instance;
    private $gateway;
    public $_gatewayName;
    public function __construct()
    {
        $this->_gatewayName = "\115\x53\107\71\x31";
        $this->gateway = MoGatewayURL::instance();
    }
    public function sendOTPRequest($Kl, $s9)
    {
        $uO = $this->gateway->sendOTPRequest($Kl, $s9);
        return $uO;
    }
    public function handleGatewayResponse($uO)
    {
        $uO = apply_filters("\155\157\x5f\x63\x75\163\164\x6f\x6d\x5f\x67\x61\164\x65\x77\x61\x79\x5f\162\145\163\160\157\156\163\x65", $uO);
        return preg_match("\x2f\136\x5b\x5c\x77\134\x64\x5d\x7b\62\64\175\x24\57", $uO) ? $uO : null;
    }
    public function getGatewayConfigView($GV, $aF)
    {
        return $this->gateway->getGatewayConfigView($GV, $aF);
    }
    public function saveGatewayDetails($t5)
    {
        $uO = $this->gateway->saveGatewayDetails($t5);
    }
}
